FROM python:3.9-slim-buster

RUN apt-get update -y \
    && apt-get -y install ffmpeg git build-essential libglib2.0-0 libsm6 libxext6 libxrender-dev

ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1
ENV PYTHONIOENCODING utf-8

RUN pip install -U pip

COPY requirements.txt /tmp/
RUN pip install --no-cache-dir -r /tmp/requirements.txt

COPY . /src
ENV PATH "$PATH:/src/bin"

RUN useradd -m -d /src -s /bin/bash app \
    && chown -R app:app /src/*

WORKDIR /src
USER app